# KJSEmbed::JSProxy Class Reference

Base class for all proxy objects. More...

`#include <jsproxy.h>`

Inheritance diagram for KJSEmbed::JSProxy:

List of all members.

## Public Types

enum | ProxyType { UnknownProxy, ObjectProxy, ValueProxy, OpaqueProxy }

## Public Member Functions

| JSProxy (int type)
virtual | ~JSProxy ()
int | proxyType () const
bool | isObjectProxy () const
bool | isValueProxy () const
bool | isOpaqueProxy () const
JSObjectProxy * | toObjectProxy ()
JSValueProxy * | toValueProxy ()
JSOpaqueProxy * | toOpaqueProxy ()
void * | toVoidStar ()
bool | inherits (const char *clazz)

## Static Public Member Functions

JSProxy * | toProxy (KJS::ValueImp *imp)
JSObjectProxy * | toObjectProxy (KJS::ValueImp *imp)
JSValueProxy * | toValueProxy (KJS::ValueImp *imp)
JSOpaqueProxy * | toOpaqueProxy (KJS::ValueImp *imp)

## Detailed Description

Base class for all proxy objects.

Version:
  Id
    jsproxy.h,v 1.7 2004/04/09 23:34:18 rich Exp

Author:
  Richard Moore, rich@kde.org

## Member Enumeration Documentation

enum KJSEmbed::JSProxy::ProxyType

Identifiers for the various types of proxy.

Enumeration values:

  UnknownProxy |
  ObjectProxy |
  ValueProxy |
  OpaqueProxy |

## Constructor & Destructor Documentation

KJSEmbed::JSProxy::JSProxy | ( | int | type | ) |

virtual KJSEmbed::JSProxy::~JSProxy | ( |  | ) | `[virtual]`

## Member Function Documentation

bool KJSEmbed::JSProxy::inherits | ( | const char * | clazz | ) |

| Returns true iff the content of this proxy inherits the specified base-class. Reimplemented in KJSEmbed::JSObjectProxy, and KJSEmbed::JSOpaqueProxy.

bool KJSEmbed::JSProxy::isObjectProxy | ( |  | ) | const`[inline]`

| Returns true iff this is a JSObjectProxy.

bool KJSEmbed::JSProxy::isOpaqueProxy | ( |  | ) | const`[inline]`

| Returns true iff this is a JSOpaqueProxy.

bool KJSEmbed::JSProxy::isValueProxy | ( |  | ) | const`[inline]`

| Returns true iff this is a JSValueProxy.

int KJSEmbed::JSProxy::proxyType | ( |  | ) | const`[inline]`

| Returns the type of the proxy.

JSObjectProxy* KJSEmbed::JSProxy::toObjectProxy | ( | KJS::ValueImp * | imp | ) | `[static]`

| Converts the specified ValueImp to a JSObjectProxy if possible, if the ValueImp is not a JSObjectProxy then 0 is returned.

JSObjectProxy* KJSEmbed::JSProxy::toObjectProxy | ( |  | ) |

| Returns this object as a JSObjectProxy or 0 if the type is wrong.

JSOpaqueProxy* KJSEmbed::JSProxy::toOpaqueProxy | ( | KJS::ValueImp * | imp | ) | `[static]`

| Converts the specified ValueImp to a JSOpaqueProxy if possible, if the ValueImp is not a JSOpaqueProxy then 0 is returned.

JSOpaqueProxy* KJSEmbed::JSProxy::toOpaqueProxy | ( |  | ) |

| Returns this object as a JSOpaqueProxy or 0 if the type is wrong.

JSProxy* KJSEmbed::JSProxy::toProxy | ( | KJS::ValueImp * | imp | ) | `[static]`

| Converts the specified ValueImp to a JSProxy if possible, if the ValueImp is not a JSProxy then 0 is returned.

JSValueProxy* KJSEmbed::JSProxy::toValueProxy | ( | KJS::ValueImp * | imp | ) | `[static]`

| Converts the specified ValueImp to a JSValueProxy if possible, if the ValueImp is not a JSValueProxy then 0 is returned.

JSValueProxy* KJSEmbed::JSProxy::toValueProxy | ( |  | ) |

| Returns this object as a JSValueProxy or 0 if the type is wrong.

void* KJSEmbed::JSProxy::toVoidStar | ( |  | ) |

| Returns the contents of this proxy as a void * pointer. This method should be virtual, but is not for b/c. Reimplemented in KJSEmbed::JSObjectProxy, and KJSEmbed::JSOpaqueProxy.

The documentation for this class was generated from the following file:

- jsproxy.h